## org.hibernate.cfg
Class PropertyPreloadedData

    java.lang.Object
      org.hibernate.cfg.PropertyPreloadedData

All Implemented Interfaces:
  PropertyData

    public class PropertyPreloadedData

extends Object
implements PropertyData

Constructor Summary
`PropertyPreloadedData(AccessType defaultAccess, String propertyName, org.hibernate.annotations.common.reflection.XClass returnedClass)`

Method Summary
`org.hibernate.annotations.common.reflection.XClass` `getClassOrElement()` Returns the returned class itself or the element type if an array
`String` `getClassOrElementName()` Returns the returned class name itself or the element type if an array
`org.hibernate.annotations.common.reflection.XClass` `getDeclaringClass()` Return the Class the property is declared on If the property is declared on a @MappedSuperclass, this class will be different than the PersistentClass's class
`AccessType` `getDefaultAccess()`
`org.hibernate.annotations.common.reflection.XProperty` `getProperty()` Return the Hibernate mapping property
`org.hibernate.annotations.common.reflection.XClass` `getPropertyClass()` Return the class itself
`String` `getPropertyName()`
`String` `getTypeName()` Returns the returned class name itself

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyPreloadedData

    public PropertyPreloadedData(AccessType defaultAccess,
                                 String propertyName,
                                 org.hibernate.annotations.common.reflection.XClass returnedClass)

Method Detail

### getDefaultAccess

    public AccessType getDefaultAccess()
                                throws MappingException

  Specified by:
    `getDefaultAccess` in interface `PropertyData`
  Returns:
    default member access (whether field or property)
  Throws:
    `MappingException` - No getter or field found or wrong JavaBean spec usage

### getPropertyName

    public String getPropertyName()
                           throws MappingException

  Specified by:
    `getPropertyName` in interface `PropertyData`
  Returns:
    property name
  Throws:
    `MappingException` - No getter or field found or wrong JavaBean spec usage

### getClassOrElement

    public org.hibernate.annotations.common.reflection.XClass getClassOrElement()
                                                                         throws MappingException

  Description copied from interface: `PropertyData`
  Returns the returned class itself or the element type if an array

  Specified by:
    `getClassOrElement` in interface `PropertyData`
  Throws:
    `MappingException`

### getPropertyClass

    public org.hibernate.annotations.common.reflection.XClass getPropertyClass()
                                                                        throws MappingException

  Description copied from interface: `PropertyData`
  Return the class itself

  Specified by:
    `getPropertyClass` in interface `PropertyData`
  Throws:
    `MappingException`

### getClassOrElementName

    public String getClassOrElementName()
                                 throws MappingException

  Description copied from interface: `PropertyData`
  Returns the returned class name itself or the element type if an array

  Specified by:
    `getClassOrElementName` in interface `PropertyData`
  Throws:
    `MappingException`

### getTypeName

    public String getTypeName()
                       throws MappingException

  Description copied from interface: `PropertyData`
  Returns the returned class name itself

  Specified by:
    `getTypeName` in interface `PropertyData`
  Throws:
    `MappingException`

### getProperty

    public org.hibernate.annotations.common.reflection.XProperty getProperty()

  Description copied from interface: `PropertyData`
  Return the Hibernate mapping property

  Specified by:
    `getProperty` in interface `PropertyData`

### getDeclaringClass

    public org.hibernate.annotations.common.reflection.XClass getDeclaringClass()

  Description copied from interface: `PropertyData`
  Return the Class the property is declared on If the property is declared on a @MappedSuperclass, this class will be different than the PersistentClass's class

  Specified by:
    `getDeclaringClass` in interface `PropertyData`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.